### Method

# ICalGLib Property begin_parameter

since: 4.0

#### Declaration [src]

    ICalParamIter*
    i_cal_property_begin_parameter (
      ICalProperty* prop,
      ICalParameterKind kind
    )

#### Description [src]

Gets the `ICalParamIter` pointing to the first parameter of type `kind` in `ICalComponent`.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalParameterKind`

  A `ICalParameterKind`.

#### Return value

Type: `ICalParamIter`

A `ICalParamIter`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.